define(function(require, exports, module){
	var config = require('../apiConfig');

	var Category = Backbone.Model.extend({
        data: [{
            
        }],
        url: config.apiUrl + '?r=store.tinyshop.detail',
        tinyshop: null,
        sync: function() {
            var self = this;
            $.ajax({
                url: this.url,
                type: 'get',
                data: {
                    mobile_no: sessionStorage.k
                },
                success: function(data) {
                    if (data.success) {
                        self.dian = data.tinyshop;
                        sessionStorage.mobile_no = data.tinyshop.mobile_no;
                        self.trigger("change");
                    } else {
                        self.trigger("error", data);
                        $('.bargain_price').focus();
                    }
                },
                error: function() {
                    self.trigger("error");
                }
            });
        }
    });

	module.exports = new Dian();
});