define(function(require, exports, module){
	var config = require('../apiConfig');

	var User = Backbone.Model.extend({
        url: config.apiUrl + '?r=store.tinyshop.login',
        sync: function() {
            var self = this;
            $.ajax({
                url: this.url,
                type: 'post',
                data: {
                    mobile_no: context.user.mobileNo,
                    username: context.user.realName,
                    token: context.user.token
                },
                success: function(data, textStatus, jqXHR){
                    debugger;
                    if (data.success) {
                        sessionStorage.tinyshop_id = data.tinyshop.id;
                        skInfo = data.tinyshop;
                    } 
                    else {
                        $('#loading').fadeOut(200, function() {
                            alert(data.msg, function() {}, '提示', '确定');
                        });
                    }
                },
                error: function( jqXHR, textStatus, errorThrown ){
                    $('#loading').fadeOut(200, function(e) {
                        alert('请检查当前网络', function() {}, '提示', '确定');
                    });
                }
            });
        }
    });

	module.exports = User;
});