define(function(require, exports, module) {
    var config = require('../apiConfig');

    ServiceCollection = require('../collections/service');

    var DianServiceView = Marionette.ItemView.extend({
        el:'#dianservice',
        template: '#dianservice-template',

        events:{
            'click .list_all li': 'choose',
            'click nav .backBtn': 'back',
        },

        initialize: function() {
            this.collection.on('reset', this.render, this);
            this.collection.on('reset', this.render2, this);
            this.collection.fetch();
        },
        render2: function(){
            debugger;
        },


        choose:function(e){
            var obj = $(e.currentTarget);
            var id = obj.data('id');
            var product = this.collection.findWhere({'id': id});
            var dianView = app.views.dian.getView()
            dianView.addtocart(product.toJSON(), 1);

            app.router.backTo('!dian');
        },
        back: function(e) {
            app.router.back();
        },

    });

    var _view = null;
    // 对外提供 foo 属性
    //exports.View = HomepageView;
    module.exports = {
        getView: function() {
            if (_view == null) {
                _view = new DianServiceView({
                    collection: ServiceCollection,
                });
                _view.render();
            }
            return _view;
        }
    }
});
