
// define(function(require) {
//     $('html, body').height('100%');

//     var apiUrl = require('../apiConfig');

//     var curStep=1;

//     var fwP; //判断哪一页跳转到此页
//     var isMod; //图片是否被修改过
//     var orderInfo;
//     var imgData; //用户上传的图像
//     var order_id=0;

    

       
//     var OrderDetailsView = Backbone.View.extend({
//         el: '#order_detail',

//         model: new OrderDetail(),

//         serializeData: function(){
//             var data = {}; //this.model.toJSON();
//             data.le = sessionStorage.le;
//             data.amount = sessionStorage.amount;
//             return data;
//         },

//         template: function(data) {
//             var temp = _.template($('#order_detail_tpl').html(), {order: data.order, products: data.products});
//             return temp;
//         },

//         render: function(data) {
//             this.$(".content").html(this.template(data));
//         },

        
//     });

//     var orderDetailsView = new OrderDetailsView();

//     return {
//         init: function(orderid) {
//             imgData = '';
//             var self = this;
//             curStep = 1;
//             $('#loading').fadeIn(200);
//             orderDetailsView.model.order_id = orderid;
//             orderDetailsView.model.fetch();

//             require.async('../nav', function(nav) {
//                 nav.init(1);
//             });
//         }
//     };
// });


define(function(require, exports, module) {
    var config = require('../apiConfig');

    OrderDetail = require('../models/orderdetail');

    var OrderDetailsView = Marionette.ItemView.extend({
        el: '#orderdetail',
        template: '#ordermydetail-template',

        model: OrderDetail,

        events: {
            'click .effect_icon': 'show_ul',
            'focus input': 'hide_ul',
            'focus textarea': 'hide_ul',
            'click .last': 'hide_ul',
            'click button.change_amount': 'change_amount',
            'click button.showpay': 'showpay',
            'click .cancel': 'order_cancel',
            'click .payOrder': 'gopay',
            'touchstart li': 'taped',
            'touchend li': 'notap',
            'click nav .backBtn': 'back',
        },

        back: function(e) {
            app.router.back();
        },

        order_cancel: function(){
            this.$('.content').removeClass('blur_effect');
            $('nav').removeClass('blur_effect');
            $('#payOrderLayer').fadeOut(400);
        },

        showpay: function(){
            this.$('.content').addClass('blur_effect');
            $('nav').addClass('blur_effect');
            $('.order_price').val(orderInfo.amount);
            $('#payOrderLayer').fadeIn(400);
        },

        gopay: function(e){
            
            var obj = $(e.currentTarget);

            var orderDetail = orderInfo.detail;
            var o = JSON.parse(orderDetail);
            var productAmount = 0;
            $.each(o, function(key, value) {
                productAmount += parseInt(value[2]);
            });

            if (productAmount < 10 && obj.data("pid") == '0000000000') {
                alert('购买10件商品以上才可享受批发优惠', function() {}, '提示', '确定');
                return;
            }

            this.order_cancel();
                                                
                                                
            jfpal.jfPay({
                "needHandsign": '1',
                "merchantId": "0002000002",
                "merchantName": '福店',
                "productId": obj.data("pid"),
                "orderAmt": (orderInfo.amount * 100).toFixed(0) + '',
                "orderDesc": orderInfo.mobile_no, //微店主手机号
                "orderRemark": localStorage.appUser + "," + orderInfo.id //flagship_id,order_id  更改内容
                        },function(o){
                        app_router.navigate('!findWeidian/2', {trigger: true});
                        },function(){
                        
                        });
        },

        cDI: function() {
            $('#loading').fadeIn(200);
            this.updateModel.save();
        },

        show_ul: function() {
            this.$('ul').fadeIn(200);
        },

        hide_ul: function() {
            this.$('ul').hide();
        },

        taped: function(e) {
            var obj = $(e.target);
            obj.addClass('taped');
        },

        notap: function(e) {
            var obj = $(e.target);
            obj.removeClass('taped');
        }

        
    })

    var _view = null;
    
    // 对外提供 foo 属性
    //exports.View = HomepageView;
    module.exports = {
        getView: function() {
            if(_view == null) {
                _view = new OrderDetailsView({
                  model: OrderDetail
                });
                _view.render();
            }
            console.log(_view);
            return _view;
        }
    }
});
