define(function(require, exports, module) {
    // 不同的view，触发不同的hash
    var leftHash = '';
    var rightHash = '';

    function goBack() {
        if (leftHash != '') {
            location.hash = leftHash;
        } else {
            context.quit();
        }
        $('#loading').fadeOut(200); // 点击返回，隐藏网络请求等待层
    }

    //左侧返回按钮点击事件 android ios不同
      if (device.platform == 'iOS') {
         $('.go_left').on('click', goBack);
      } else if (device.platform == 'Android') {
          $('.head .go_left').css('visibility','hidden');
          document.addEventListener('backbutton', goBack, false);
      }

    //右侧按钮点击事件
    $('nav .rightButton').on('click', function() {
        location.hash = rightHash;
    });

    //导航条两侧点击效果
    $('.leftButton, .rightButton').on('touchstart', function() {
        $(this).addClass('taped');
    });
    $('.leftButton, .rightButton').on('touchend', function() {
        $(this).removeClass('taped');
    });

	C.Config = $.extend(C.Config, {
	    leftBar: function(state) {
            switch (state) {
                case 'index':
                    leftHash = '';
                    break;
                case 'market':
                    leftHash = '!index/0';
                    break;
                case 'information':
                    leftHash = '!market/1';
                    break;
                case 'pro_informatio':
                    leftHash = '!information/2';
                    break;
                case 'store':
                    leftHash = '!pro_informatio/3';
                    break;
                case 'map':
                    leftHash = '!store/4';
                    break;
                case 'addresses':
                    leftHash = '!index/0';

                    break;    
            }
	    },

	    rightBar: function(state) {
            switch (state) {
                // case 'finddingding':
                //     rightHash = '!myOrder/1';
                //     $('nav .rightButton').css('visibility', 'visible').text('订单');
                //     break;
                // case 'tip':
                //     $('nav .rightButton').css('visibility', 'hidden');
                //     break;
                // case 'city':
                //     $('nav .rightButton').css('visibility', 'hidden');
                //     break;
                // case 'myOrder':
                //     $('nav .rightButton').css('visibility', 'hidden');
                //     break;
                // case 'queryTicket':
                //     $('nav .rightButton').css('visibility', 'hidden');
                //     break;
                // case 'writeOrder':
                //     $('nav .rightButton').css('visibility', 'hidden');
                //     break;
                // case 'addPassenger':
                //     rightHash = '!new_pas/1';
                //     $('nav .rightButton').css('visibility', 'visible').text('新增');
                //     break;
                // case 'new_pas':
                //     $('nav .rightButton').css('visibility', 'hidden');
            }
	    },

        // 根据相应页面改变导航条                
        setToolBar: function(hash, step, title) {
            if ((step == '') || hash.match('index')) {
                C.Config.leftBar('index');
                $('.head  #tit').text('本地优惠');
                C.Config.rightBar('index');
            } else if (hash.match('market')) {
                C.Config.leftBar('market');
               // $('.head  #tit').text('共785条优惠信息');
                C.Config.rightBar('market');
            } else if (hash.match('information')) {
                C.Config.leftBar('information');
                $('.head  #tit').text('麦当劳');
                C.Config.rightBar('information');
            } else if (hash.match('pro_informatio')) {
                C.Config.leftBar('pro_informatio');
                $('.head  #tit').text(' ');
                C.Config.rightBar('pro_informatio');
            } else if (hash.match('store')) {
                C.Config.leftBar('store');
                $('.head  #tit').text('门店列表');
                C.Config.rightBar('store');
            } else if (hash.match('map')) {
                C.Config.leftBar('map');
                $('.head  #tit').text('地图');
                C.Config.rightBar('map');
            }else if (hash.match('addresses')) {
                C.Config.leftBar('addresses');
                $('.head  #tit').text('城市列表');
                C.Config.rightBar('addresses');
            }
        }
	});
});