define(function(require) {
    var curStep;

    var Companies = Backbone.Collection.extend({
        sync: function() {
            var self = this;

        },

        // 本地数据库的相关操作
        fillData: function(data) {
            var self = this;
            self.reset(data.com_list);

        }
    });

    var Games = Backbone.Collection.extend({
        sync: function() {
            var self = this;
        },

        // 本地数据库的相关操作
        fillData: function() {
            var self = this;


        }
    });

    var ListView = Backbone.View.extend({
        el: '#list_title',

        collectionGames: new Games(),
//        collectionCompanies: new Companies(),

        initialize: function () {
            var self = this;
            this.collectionGames.on('reset', function() {

            });
        },

        events: {
            'input .getGame': 'selectGame',
            'input .getCompany': 'selectCompany',
            'tap #search_g li': 'toGameDetail',
            'tap #search_c li': 'toIndex'
        }
        ,
        selectCompany: function(){
            if ($('.getCompany').val() == '') {
                $('#search_c .list').hide();
                $('#company').show();
                $('#abclist_c').show();
                return;
            }
            var val = $('.getCompany').val();
            this.$('#search_c .list').empty();
            if (window.database) {
                window.database.transaction(function(tx) {
                    tx.executeSql("select * from companyList where companyname like'"+val+"%'", [], function(tx, result) {
                        var length = result.rows.length;
                        if (length != 0) {
                            for (var i=0; i<length; i++) {
                                $('#search_c .list').append("<li rel='' alt='"+result.rows.item(i)['companyid']+"'>" + result.rows.item(i)['companyname'] + "</li>");
                            }
                            $('#search_c .list').show();
                            $('#company').hide();
                            $('#abclist_c').hide();
                        }else{
                            $('#search_g .list').hide();
                            $('#company').show();
                            $('#abclist_c').show();
                        }
                    });
                });
            }
        },
        selectGame: function(){
            if ($('.getGame').val() == '') {
                $('#search_g .list').hide();
                $('#game').show();
                $('#abclist_g').show();
                return;
            }
            var val = $('.getGame').val();
            this.$('#search_g .list').empty();
            if (window.database) {
                window.database.transaction(function(tx) {
                    tx.executeSql("select * from gameList where gamename like'"+val+"%'", [], function(tx, result) {
                        var length = result.rows.length;
                        if (length != 0) {
                            for (var i=0; i<length; i++) {
                                $('#search_g .list').append("<li rel='' alt='"+result.rows.item(i)['gameid']+"'>" + result.rows.item(i)['gamename'] + "</li>");
                            }
                            $('#search_g .list').show();
                            $('#game').hide();
                            $('#abclist_g').hide();
                        }else{
                            $('#search_g .list').hide();
                            $('#game').show();
                            $('#abclist_g').show();
                        }
                    });
                });
            }
        }
        ,
        toGameDetail: function(e){
            var obj = $(e.currentTarget);
            window.dT.gameDetail.gameId = obj.attr("alt");
            window.dT.addOrder.gameId = obj.attr("alt");
            window.dT.gameDetail.gameName = obj.text();
            window.dT.leftSource = 1;//返回游戏列表
            $('#search_g .list').hide();
            $('#game').show();
            $('#abclist_g').show();
            $('.getGame').val("");
            app_router.navigate('!gameDetail/4', {trigger: true});
        },
        toIndex: function(e){
            var obj = $(e.currentTarget);
            window.dT.companyGame.companyId = obj.attr("alt");
            window.dT.companyGame.companyName = obj.text();
            $('#search_c .list').hide();
            $('#company').show();
            $('#abclist_c').show();
            $('.getCompany').val("");
            app_router.navigate('!companyGame/3', {trigger: true});

        }

    });


    var listView = new ListView();

    return {
        init: function(step) {
            // 初始化相关数据
            curStep = step;
            listView.collectionGames.fetch();
        }
    };
});