/**
 * 违章详情模块
 */
define(function(require, exports, module) {
       
       var curStep; // 哪个页面跳转到此页面的标志位
       
       var PeccancyDetailModel = Backbone.Model.extend({});
       
       var PeccancyDetailView = Backbone.View.extend({
                                                     el: '#illegaldetail',
                                                     model: new PeccancyDetailModel(),
                                                     template : _.loadFileTemplate("illegaldetail"),
                                                     events : {
                                                     "click #handlebutton":"handleillegal"
                                                     },
                                                     initialize: function() {
                                                     var self = this;
                                                     this.model.on('change', function() {
                                                                   self.render();
                                                                   });
                                                     },
                                                     
                                                     render: function() {
                                                     this.$el.html(this.template({data:this.model.toJSON()}));
                                                     },
                                                     
                                                     handleillegal:function(){
                                                     app_router.navigate('!writeorder/1', {trigger: true});
                                                     }
                                                     });
       
       var peccancyDetailView = new PeccancyDetailView();
       
       return {
       init: function(step) {
       
       curStep = step; // 初始化相关数据
       
       if(curStep == 1){//从查询进来
       
       peccancyDetailView.model.set(dT.peccancyDetail.detail);
       
       }else if(curStep == 2){//返回不做操作

       }
       
       require.async('../nav', function(nav) {
                     nav.init(curStep);
                     });
       
       }
       };
       
       });