/**
 * 违章查询模块
 */
define(function(require, exports, module) {
       
       var curStep; // 哪个页面跳转到此页面的标志位
       
       var Peccancy = Backbone.Model.extend({
                                            defaults: {
                                            "LogID":'',//违章记录ID
                                            "VoitureID":'',//车辆ID
                                            "ShopSign":'',//车牌
                                            "ProvinceID":'',//违章省份ID
                                            "CityID":'',//违章城市ID
                                            "CityName":'',//城市
                                            "AreaID":'',//违章区域ID
                                            "PeccancyPlace":'',//违章地点
                                            "PeccancyTime":'',//违章时间
                                            "RegulationID":'',//违章条例ID
                                            "PeccancyRuleCode":'',//违章条例
                                            "PeccancyRuleName":'',//违章条例名称
                                            "PeccancyPenalCharge":'',//违章罚款金额
                                            "PeccancyPoint":'',//扣分
                                            "IsLocaleBill":'',//是否现场单
                                            "NewViolation":'',//是否新违章
                                            "TransactStatus":'',//违章办理状态(0~4)0不可办理1可办理2处理中3已完成 4待支付
                                            "Reason":'',//无法办理原因
                                            "CommissionCharge":'',//代办费
                                            "IsAccept":''//是否可以代办
                                            }
                                            });
       
       var Peccancys = Backbone.Collection.extend({
                                                  postData: null,
                                                  sync: function() {

//                                                  var self = this;
//                                                  var arr = [];
//
//                                                  var peccancy = new Peccancy({
//                                                                              AreaID:'1',
//                                                                              CityID:'1',
//                                                                              CityName:'广州市',
//                                                                              CommissionCharge:'1',
//                                                                              IsAccept:'1',
//                                                                              IsLocaleBill:'1',
//                                                                              LogID:'1',
//                                                                              NewViolation:'1',
//                                                                              PeccancyPenalCharge:'1',
//                                                                              PeccancyPlace:'不知道',
//                                                                              PeccancyPoint:'1',
//                                                                              PeccancyRuleCode:'11',
//                                                                              PeccancyRuleName:'罚款',
//                                                                              PeccancyTime:'2014-12-19 12:00:00',
//                                                                              ProvinceID:'1',
//                                                                              Reason:'随便',
//                                                                              RegulationID:'1',
//                                                                              ShopSign:'苏A12345',
//                                                                              TransactStatus:'1',
//                                                                              VoitureID:'1'
//                                                                              });
//                                                  
//                                                  arr.push(peccancy);
//                                                  
//                                                  $('#loading').fadeOut(200, function() {
//                                                                        
//                                                                        self.reset(arr);
//                                                                        require.async('../nav', function(nav) {
//                                                                                      nav.init(curStep);
//                                                                                      });
//                                                                        });
                                                  
                                                  this.initPostDate(); // 初始化请求参数
                                                  var self = this;
                                                  
                                                  jfpal.safeAjax('', this.postData, function(data) {
                                                
                                                                 if (!data.resultBean || data.resultBean.length == 0) {
                                                                 self.goBackUrl();
                                                                 $('#loading').fadeOut(200, function() {
                                                                                       alert('暂无违章记录', function() {}, '提示', '确定');
                                                                                       });
                                                                 } else {
                                                                 
                                                                 var PeccancyList;
                                                                 
                                                                 $.each(data.resultBean, function(index, value) {
                                                                        
                                                                        PeccancyList = value;
                                                                        
                                                                        });
                                                                 
                                                                 if(!PeccancyList){
                                                                 
                                                                 self.goBackUrl();
                                                                 $('#loading').fadeOut(200, function() {
                                                                                       alert('暂无违章记录', function() {}, '提示', '确定');
                                                                                       });
                                                                 
                                                                 }else{
                                                                 
                                                                 var arr = [];
                                                                 
                                                                 var success = 0;
                                                                 var msg = '';
                                                                 
                                                                 var Message = PeccancyList.Message;
                                                                 
                                                                 $.each(Message, function(index, value) {
                                                                        
                                                                        success = value.CodeID;
                                                                        msg = value.Description;
                                                                        
                                                                        });
                                                                 
                                                                 if(success == 1){//查询成功
                                                                 
                                                                 var PeccancyLog = PeccancyList.PeccancyLog;
                                                                 
                                                                 $.each(PeccancyLog, function(index, value) {
                                                                        
                                                                        var peccancy = new Peccancy({
                                                                                                    AreaID:value.AreaID,
                                                                                                    CityID:value.CityID,
                                                                                                    CityName:value.CityName,
                                                                                                    CommissionCharge:value.CommissionCharge,
                                                                                                    IsAccept:value.IsAccept,
                                                                                                    IsLocaleBill:value.IsLocaleBill,
                                                                                                    LogID:value.LogID,
                                                                                                    NewViolation:value.NewViolation,
                                                                                                    PeccancyPenalCharge:value.PeccancyPenalCharge,
                                                                                                    PeccancyPlace:value.PeccancyPlace,
                                                                                                    PeccancyPoint:value.PeccancyPoint,
                                                                                                    PeccancyRuleCode:value.PeccancyRuleCode,
                                                                                                    PeccancyRuleName:value.PeccancyRuleName,
                                                                                                    PeccancyTime:value.PeccancyTime,
                                                                                                    ProvinceID:value.ProvinceID,
                                                                                                    Reason:value.Reason,
                                                                                                    RegulationID:value.RegulationID,
                                                                                                    ShopSign:value.ShopSign,
                                                                                                    TransactStatus:value.TransactStatus,
                                                                                                    VoitureID:value.VoitureID
                                                                                                    });
                                                                        
                                                                        arr.push(peccancy);
                                                                        });
                                                                 
                                                                 
                                                                 $('#loading').fadeOut(200, function() {

                                                                                       self.reset(arr);
                                                                                       require.async('../nav', function(nav) {
                                                                                                     nav.init(curStep);
                                                                                                     });
                                                                                       });

                                                                 }else if(success == 5){
                                                                 
                                                                 $('#loading').fadeOut(200, function() {
                                                                                       
                                                                                       self.goBackUrl();
                                                                                       alert('未查到有违章记录', function() {}, '提示', '确定');
                                                                                       });
                                                                 
                                                                 }else{//查询失败
                                                   
                                                                 $('#loading').fadeOut(200, function() {
                                                                                       self.goBackUrl();
                                                                                       alert(msg, function() {}, '提示', '确定');
                                                                                       });
                                                                 
                                                                 }
                                                                 }
                                                                 }
                                                                 }, function(error) {

                                                                 $('#loading').fadeOut(200, function() {
                                                                                       self.goBackUrl();
                                                                                       alert(error.respDesc, function() {}, '提示', '确定');
                                                                                       });
                                                                 });
                                                  },
                                                  // 初始化safeAjax的数据
                                                  initPostDate: function() {
                                                  
                                                  this.postData = dT.queryPeccancy;
                                                  },
                                                  // 数据请求失败后，改回原来的hash值
                                                  goBackUrl: function() {
                                                  app_router.navigate('!index/2', {trigger: false});
                                                  }
                                                  });
       
       var QueryPeccancyView = Backbone.View.extend({
                                                    el: '#queryillegal',
                                                    collection: new Peccancys(),
                                                    template : _.loadFileTemplate("queryillegal"),
                                                    events : {
                                                    "click .illegal":"gotodetail"
                                                    },
                                                    initialize: function() {
                                                    var self = this;
                                                    this.collection.on('reset', function() {
                                                                       self.render();
                                                                       });
                                                    },
                                                    render: function() {
                                                    
//                                                    alert(JSON.stringify(this.collection));
                                                    
                                                    this.$el.html(this.template({data: this.collection.toJSON()}));
                                                    },
                                                    gotodetail:function(event){
                                                    
                                                    var $target = $(event.currentTarget);
                                                    
                                                    var illegalid = $target.attr("illegalid");
                                                    
                                                    $.each(this.collection.models, function(index, value) {
                                                           
                                                           if (value.get("LogID") == illegalid) {
                                                           dT.peccancyDetail = {
                                                           detail: value.toJSON()
                                                           }
                                                           }
                                                           });
                                                    
                                                    app_router.navigate('!illegaldetail/1', {trigger: true});
                                                    }
                                                    });
       
       var queryPeccancyView = new QueryPeccancyView();
       
       return {
       init: function(step) {
       
       curStep = step; // 初始化相关数据
       
       if(curStep == 1){//从首页进来
       
       $('#loading').fadeIn(200);
       
       queryPeccancyView.collection.fetch();
       
       }else if(curStep == 2){//返回不做操作
       
       require.async('../nav', function(nav) {
                     nav.init(curStep);
                     });
       
       }else if(curStep == 3){//返回不做操作
       
       $('#loading').fadeIn(200);
       
       queryPeccancyView.collection.fetch();
       
       }
       
       }
       };
       
       });