angular.module('controllers', [])
.controller('MainCtrl', function($scope, $ionicModal,toaster, $state, $ionicHistory, $r, $window) {
    $scope.form={};
    var load=function(){
      var productList=[{}];
      $r("productList", productList ).then(function(data){
         console.log(data);
          if(data.respHead.code=="0000"){
              //$scope.form.msg=data.respBean;
              var log;
              angular.forEach(data.respBean.data, function(value, key) {
               if(value.productCode=='JYM-JBY001'){
                 $scope.form.product=value;
                 $scope.form.yield=parseFloat($scope.form.product.yield*100).toFixed(2);
               }
             }, log);
//              $scope.form.product=data.respBean.data[3];
            }else{
              var msg=data.respHead.message;   
              return  toaster.pop('warning', null, '<ul><li>'+  msg + '</li></ul>', null, 'trustedHtml'); 
            }
        },function(err){
            console.log(err);
        });
      
      var myAccount=[{}];
      $r("myAccount", myAccount ).then(function(data){
       console.log(data);
        if(data.respHead.code=="0000"){
            $scope.form.myaccount=data.respBean.data[0];
            $scope.form.accountnum=parseFloat($scope.form.myaccount.productBalance+$scope.form.myaccount.balance+$scope.form.myaccount.blockedBalance);
          }else{
            var msg=data.respHead.message;   
            return  toaster.pop('warning', null, '<ul><li>'+  msg + '</li></ul>', null, 'trustedHtml'); 
          }
      },function(err){
          console.log(err);
      });
    };
    $scope.$on('$ionicView.enter', function() {
      load();
    });
    $scope.backToApp = function() {
      $window.context.quit();
    };
    
})
.controller('MainListCtrl', function($scope, $ionicModal,toaster, $state, $ionicHistory, $r, $window,$jf) {
    $scope.form={};
    var load=function(){
      var productList=[{}];
      $r("productList", productList ).then(function(data){
         console.log(data);
         $scope.form.otherproducts=[],$scope.form.wxproduct=[];
          if(data.respHead.code=="0000"){
              //$scope.form.msg=data.respBean;
              var log;
              angular.forEach(data.respBean.data, function(value, key) {
               if(value.productAscription=='WANGXIN'){
                 console.log(key);
                 if(key==0){
                  $scope.form.product=value;  
                  $scope.form.yield=parseFloat($scope.form.product.yield*100).toFixed(2);
                 }
                 if(key!=0){
                   $scope.form.wxproduct.push(value);
                   console.log(value);
                 }
               }
               if(value.productAscription!='WANGXIN'){
                 $scope.form.otherproducts.push(value);
                  
               }
             }, log);
                $scope.$broadcast('scroll.refreshComplete');
//              $scope.form.product=data.respBean.data[3];
            }else{
              var msg=data.respHead.message;   
              return  toaster.pop('warning', null, '<ul><li>'+  msg + '</li></ul>', null, 'trustedHtml'); 
            }
        },function(err){
            console.log(err);
        });
      
      var myAccount=[{}];
      $r("myAccount", myAccount ).then(function(data){
       console.log(data);
        if(data.respHead.code=="0000"){
            $scope.form.myaccount=data.respBean.data[0];
            $scope.form.accountnum=parseFloat($scope.form.myaccount.productBalance+$scope.form.myaccount.balance+$scope.form.myaccount.blockedBalance);
          }else{
            var msg=data.respHead.message;   
            return  toaster.pop('warning', null, '<ul><li>'+  msg + '</li></ul>', null, 'trustedHtml'); 
          }
      },function(err){
          console.log(err);
      });
     
     $jf.getTokenData().then(function(tokenData){
      $scope.form.hotline =  tokenData.hotline;
      $scope.form.appname =  tokenData.appname;
      $scope.form.company = tokenData.company;
      });
      
    };
    $scope.$on('$ionicView.enter', function() {
      load();
      $scope.showbottombar();
      $scope.form={};
    });
    $scope.$on('$jf:notificationReceived',function(){
        load();
    });
    $scope.doRefresh=function(){
        load();
        $scope.form={};
    };
    $scope.backToApp = function() {
      $window.context.quit();
    };
    
    //cancle bottoms bar
    $scope.hidebottombar=function(){
      console.log('hide bottom bar');
      $jf.hideBottombar('hide');
    };
    $scope.showbottombar=function(){
      console.log('show bottom bar');
     $jf.hideBottombar('show');
    };
})
.controller('AccountAndMyproductCtrl', function($scope, $ionicModal,toaster, $state, $ionicHistory, $r) {
    var load=function(){
      var myAccount=[{}];
      $r("myAccount", myAccount ).then(function(data){
       console.log(data);
        if(data.respHead.code=="0000"){
            $scope.form.myaccount=data.respBean.data[0];
            $scope.form.accountnum=parseFloat($scope.form.myaccount.productBalance+$scope.form.myaccount.balance+$scope.form.myaccount.blockedBalance);
          }else{
            var msg=data.respHead.message;   
            return  toaster.pop('warning', null, '<ul><li>'+  msg + '</li></ul>', null, 'trustedHtml'); 
          }
      },function(err){
          console.log(err);
      });
      var amountList=[{}];
      $r("amountList", amountList ).then(function(data){
         console.log(data);
          if(data.respHead.code=="0000"){
              $scope.form.myproduct=data.respBean.data;
              if($scope.form.myproduct[0]){
                $scope.form.product_account=parseFloat($scope.form.myproduct[0].investAmount+$scope.form.myproduct[0].totalYield);  
              }else{
                $scope.form.product_account=0;
              }
            }else{
              var msg=data.respHead.message;   
              return  toaster.pop('warning', null, '<ul><li>'+  msg + '</li></ul>', null, 'trustedHtml'); 
            }
        },function(err){
            console.log(err);
        });
    };
    $scope.$on('$ionicView.enter', function() {
      load();
    });
})
.controller('ShowPopCtrl', function($scope, $ionicModal,toaster, $state, $ionicHistory, $r, $ionicPopup) {
  //rules
   $scope.form.clickstatus='tab1';
 	 $ionicModal.fromTemplateUrl('templates/showyeld.html', {
     scope: $scope
   }).then(function(modal) {
     $scope.showrules = modal;
   });
   $scope.showagreement=function(){
	   $scope.showrules.show();
	 };
	 $scope.closeagreement = function() {
      $scope.showrules.hide();
	 };
   $scope.tabshow=function(status){
          $scope.form.clickstatus=status;
   };
  $scope.showpop=function(){
    var confirmPopup = $ionicPopup.confirm({
       title: '收益及取出规则',
       template: '<div class="list_cell text_align_left">收益详见产品信息页。随时赎回，最</div><div class="list_cell text_align_left">快当日到达余额账户。每人单次最高赎回5万,每人一日最多赎回2次。</div>',
       buttons: [
          {
            text: '<b>确认</b>',
            onTap: function() { 
            }
          }
        ]
     });
  };
    
})
.controller('rulelistCtrl', function($scope, $ionicModal,toaster, $state, $ionicHistory, $r, $ionicPopup,$jf) {

  $scope.form={};
  $jf.getTokenData().then(function(tokenData){
      $scope.form.hotline =  tokenData.hotline;
      $scope.form.appname =  tokenData.appname;
      $scope.form.company = tokenData.company;
   });
  //rules
 	$ionicModal.fromTemplateUrl('templates/rulecontent.html', {
    scope: $scope
  }).then(function(modal) {
    $scope.showrules = modal;
  });
	//rules
	$scope.showrulesview=function(){
	  $scope.showrules.show();
	};
	$scope.closerules = function() {
      $scope.showrules.hide();
	};
  $scope.showrulesfun=function(status){
    console.log(status);
    $scope.form.content=status;
    $scope.showrules.show();
  };
  $scope.back = function(){
    $ionicHistory.goBack();
  }
})
;