angular.module('controllers', [])
.controller('MainCtrl', function($scope, $ionicModal,toaster, $state, $ionicHistory, $r, $window) {
    $scope.form={};
    var load=function(){
      var productList=[{}];
      $r("productList", productList ).then(function(data){
         console.log(data);
          if(data.respHead.code=="0000"){
              //$scope.form.msg=data.respBean;
              var log;
              angular.forEach(data.respBean.data, function(value, key) {
               if(value.productCode=='JYM-JBY001'){
                 $scope.form.product=value;
                 $scope.form.yield=parseFloat($scope.form.product.yield*100).toFixed(2);
               }
             }, log);
//              $scope.form.product=data.respBean.data[3];
            }else{
              var msg=data.respHead.message;   
              return  toaster.pop('warning', null, '<ul><li>'+  msg + '</li></ul>', null, 'trustedHtml'); 
            }
        },function(err){
            console.log(err);
        });
      
      var myAccount=[{}];
      $r("myAccount", myAccount ).then(function(data){
       console.log(data);
        if(data.respHead.code=="0000"){
            $scope.form.myaccount=data.respBean.data[0];
            $scope.form.accountnum=parseFloat($scope.form.myaccount.productBalance+$scope.form.myaccount.totalYield);
          }else{
            var msg=data.respHead.message;   
            return  toaster.pop('warning', null, '<ul><li>'+  msg + '</li></ul>', null, 'trustedHtml'); 
          }
      },function(err){
          console.log(err);
      });
    };
    $scope.$on('$ionicView.enter', function() {
      load();
    });
    $scope.backToApp = function() {
      $window.context.quit();
    };
})
.controller('AccountAndMyproductCtrl', function($scope, $ionicModal,toaster, $state, $ionicHistory, $r) {
    var load=function(){
      var myAccount=[{}];
      $r("myAccount", myAccount ).then(function(data){
       console.log(data);
        if(data.respHead.code=="0000"){
            $scope.form.myaccount=data.respBean.data[0];
            $scope.form.accountnum=parseFloat($scope.form.myaccount.productBalance+$scope.form.myaccount.totalYield);
          }else{
            var msg=data.respHead.message;   
            return  toaster.pop('warning', null, '<ul><li>'+  msg + '</li></ul>', null, 'trustedHtml'); 
          }
      },function(err){
          console.log(err);
      });
      var amountList=[{}];
      $r("amountList", amountList ).then(function(data){
         console.log(data);
          if(data.respHead.code=="0000"){
              $scope.form.myproduct=data.respBean.data;
              if($scope.form.myproduct[0]){
                $scope.form.product_account=parseFloat($scope.form.myproduct[0].investAmount+$scope.form.myproduct[0].totalYield);  
              }else{
                $scope.form.product_account=0;
              }
            }else{
              var msg=data.respHead.message;   
              return  toaster.pop('warning', null, '<ul><li>'+  msg + '</li></ul>', null, 'trustedHtml'); 
            }
        },function(err){
            console.log(err);
        });
    };
    $scope.$on('$ionicView.enter', function() {
      load();
    });
})
.controller('productdetailCtrl', function($scope, $ionicModal,toaster, $state, $ionicHistory, $stateParams, $r) {
    $scope.form={};
    var load=function(){
      var productDetail=[{
        'productCode':$stateParams.productCode
      }];
      $r("productDetail", productDetail ).then(function(data){
         console.log(data);
          if(data.respHead.code=="0000"){
              //$scope.form.msg=data.respBean;
              $scope.form.product=data.respBean.data[0];
              $scope.form.yield=parseFloat($scope.form.product.yield*100).toFixed(2);
            }else{
              var msg=data.respHead.message;   
              return  toaster.pop('warning', null, '<ul><li>'+  msg + '</li></ul>', null, 'trustedHtml'); 
            }
        },function(err){
            console.log(err);
        });
        
      var amountList=[{}];
      $r("amountList", amountList ).then(function(data){
         console.log(data);
          if(data.respHead.code=="0000"){
               var log;
              angular.forEach(data.respBean.data, function(value, key) {
                console.log(value);
               
               if(value.productCode==$stateParams.productCode){
                  $scope.form.myproduct=value;
                  $scope.form.product_account=parseFloat($scope.form.myproduct.investAmount+$scope.form.myproduct.totalYield);
               }else{
                 $scope.form.product_account=0;
               }
               console.log($scope.form.myproduct);
             }, log);
          
            }else{
              var msg=data.respHead.message;   
              return  toaster.pop('warning', null, '<ul><li>'+  msg + '</li></ul>', null, 'trustedHtml'); 
            }
        },function(err){
            console.log(err);
        });
        
    };
    $scope.$on('$ionicView.enter', function() {
      load();
    });
    $scope.createorder=function(){
      //console.log($stateParams.productCode);
      $state.go('order',{productCode:$stateParams.productCode});            
    };
    $scope.tackout=function(){
      $state.go('takeout',{productCode:$stateParams.productCode});      
    };
})
.controller('TakeoutCtrl', function($scope, $ionicModal,toaster, $state, $ionicHistory, validation ,$r,$stateParams,$jf) {
   $scope.form={};
   $scope.form.submits=true;
   $scope.form.sendmsgs=true;
   $scope.form.countdown="发送验证码";
   var load=function(){
      var financialTakeOut=[{
        "productCode":$stateParams.productCode,
      }];
      $r("jym_financialTakeOut", financialTakeOut ).then(function(data){
       console.log(data);
        if(data.respHead.code=="0000"){
            $scope.form.myaccount=data.respBean.data[0];
          }else{
            var msg=data.respHead.message;   
            return  toaster.pop('warning', null, '<ul><li>'+  msg + '</li></ul>', null, 'trustedHtml'); 
          }
      },function(err){
          console.log(err);
      });
    };
    $scope.$on('$ionicView.enter', function() {
      load();
    });
    //sendmsg
	 $ionicModal.fromTemplateUrl('templates/sendmsg.html', {
        scope: $scope
      }).then(function(modal) {
        $scope.modal = modal;
      });
   $scope.closemodal = function() {
        $scope.modal.hide();
   };
   //rules
 	 $ionicModal.fromTemplateUrl('templates/showrules.html', {
     scope: $scope
   }).then(function(modal) {
     $scope.showrules = modal;
   });
	 //rules
	 $scope.showrulesview=function(){
	   $scope.showrules.show();
	 };
	 $scope.closerules = function() {
      $scope.showrules.hide();
	 };
   $scope.takeoutmoney=function(){
     var msg;
     console.log(validation.money($scope.form.money));
//     console.log($scope.form.money<=$scope.form.account.balance);
     console.log($scope.form);
     var moneys=parseFloat($scope.form.money)*100;
     if(validation.isnull($scope.form.money)){
        if(validation.money($scope.form.money)){
           if(moneys>=1){
             if(moneys>$scope.form.myaccount.financialBalance){
               msg = "取出的金额不能大于可用余额";
             }else{
              $scope.checkmsg($scope.form); 
             } 
           }else{
                  msg = "请输入合法金额";
           }
        }else{
                  msg = "请填写正确的取出金额";
        }
      }else{
               msg = "取出的金额不能为空或0";
      }
      if(msg){
          return  toaster.pop('warning', null, '<ul><li>'+  msg + '</li></ul>', null, 'trustedHtml');
      }
   };
   
  $scope.sendmsg=function(){
    if($scope.form.sendmsgs==true){
        $scope.form.sendmsgs=false;
        var timer=40;
        var myTime = setInterval(function() 
          { 
            timer--;
            $scope.form.countdown='等待'+timer+ 's';
            $scope.$digest(); // 通知视图模型的变化
          }, 1000); // 倒计时10-0秒，但算上0的话就是11s ]

         setTimeout(function() { 
          clearInterval(myTime);
           $scope.form.countdown="重新发送"; 
           $scope.form.sendmsgs=true;
           $scope.$digest(); 
        }, 41000);

         $scope.form.bizType='2001';
        var getValidateNo=[{
                      'bizType': $scope.form.bizType,
                     }];
        $r("getValidateNo", getValidateNo ).then(function(data){
           console.log(data);
            if(data.respHead.code=="0000"){
                //$scope.form.msg=data.respBean;
                var msg="验证码发送成功,请注意查收";   
                return  toaster.pop('warning', null, '<ul><li>'+  msg + '</li></ul>', null, 'trustedHtml');
              }else{
                var msg=data.respHead.message;   
                return  toaster.pop('warning', null, '<ul><li>'+  msg + '</li></ul>', null, 'trustedHtml'); 
              }
          },function(err){
              console.log(err);
          }); 
        
    }else{
                var msg="验证码已发送";   
                return  toaster.pop('warning', null, '<ul><li>'+  msg + '</li></ul>', null, 'trustedHtml'); 
    }
    
   };
  $scope.checkmsg=function(obg){
    console.log(obg);
     var msg;
      if(validation.isnull(obg.message))
      {
          if(validation.isnull(obg.password))
          {
                $scope.form.submits=false;
                $jf.getTokenData().then(function(tokenData){
                  $jf.encodeWithRSA(tokenData.phone, obg.password).then(function(encodedPassword){
                //todo withdraw
                 var ransomProduct=[{
                   "bizType":"2001",
                   "checkCode":obg.message,
                   "productCode":$stateParams.productCode,
                   "Password":encodedPassword,
                   "amount":parseFloat(obg.money)*100,
                 }];
                  $r("jym_ransomProduct", ransomProduct ).then(function(data){
                     console.log(data);
                     if(data.respHead.code=="0000")
                     {
                      msg='取出申请提交成功';   
                      $scope.$emit("$ionicView.enter");
                      $ionicHistory.goBack();
                     }else{
                       msg=data.respHead.message;   
                    }
                    $scope.form.submits=true;
                    return  toaster.pop('warning', null, '<ul><li>'+  msg + '</li></ul>', null, 'trustedHtml'); 
                  },function(err){
                       $scope.form.submits=true;
                      console.log(err);
                      var msg=err.respHead.message;   
                            return  toaster.pop('warning', null, '<ul><li>'+  msg + '</li></ul>', null, 'trustedHtml'); 
                  });
                   
                  });
                });
            //$scope.modal.hide();
          }else{
             msg = "登录密码不能为空";
             return  toaster.pop('warning', null, '<ul><li>'+  msg + '</li></ul>', null, 'trustedHtml');
          }
      }else{
        msg = "验证码不能为空";
        return  toaster.pop('warning', null, '<ul><li>'+  msg + '</li></ul>', null, 'trustedHtml');
      }
  };
  $scope.takeoutAll=function(){
    $scope.form.money=parseFloat($scope.form.myaccount.financialBalance)/100;
  };
})
.controller('ShowPopCtrl', function($scope, $ionicModal,toaster, $state, $ionicHistory, $r, $ionicPopup) {
  //rules
   $scope.form.clickstatus='tab1';
 	 $ionicModal.fromTemplateUrl('templates/showyeld.html', {
     scope: $scope
   }).then(function(modal) {
     $scope.showrules = modal;
   });
   $scope.showagreement=function(){
	   $scope.showrules.show();
	 };
	 $scope.closeagreement = function() {
      $scope.showrules.hide();
	 };
   $scope.tabshow=function(status){
          $scope.form.clickstatus=status;
   };
  $scope.showpop=function(){
    var confirmPopup = $ionicPopup.confirm({
       title: '收益及取出规则',
       template: '<div class="list_cell text_align_left">收益详见产品信息页。随时赎回，最</div><div class="list_cell text_align_left">快当日到达余额账户。每人单次最高赎回5万,每人一日最多赎回2次。</div>',
       buttons: [
          {
            text: '<b>确认</b>',
            onTap: function() { 
            }
          }
        ]
     });
  };
    
})
;
