angular.module('cat')
.config(function($stateProvider, $urlRouterProvider) {
  $stateProvider
  .state('app', {
    url: "/main",
    templateUrl: "templates/main.html",
    controller: 'MainCtrl'
  })
  .state('productdetail', {
    url: "/productdetail/:productCode",
    templateUrl: "templates/productdetail.html",
    controller: 'productdetailCtrl'
  })
  //我的资产
  .state('account', {
    url: "/account",
    templateUrl: "templates/account.html",
    controller: 'AccountCtrl'
  })
  //收益详情
  .state('earndetail', {
    url: "/earndetail",
    templateUrl: "templates/earndetail.html",
    controller: 'EarndetailCtrl'
  })
  //收益明细
  .state('earnlist', {
    url: "/earnlist",
    templateUrl: "templates/earnlist.html",
    controller: 'EarnlistCtrl'
  })
  //交易明细
  .state('tradingrecord', {
    url: "/tradingrecord",
    templateUrl: "templates/tradingrecord.html",
    controller: 'TradingrecordCtrl'
  })
  .state('sendmsg', {
    url: "/sendmsg",
    templateUrl: "templates/sendmsg.html",
    controller: 'TradingrecordCtrl'
  })
  //取出
   .state('takeout', {
    url: "/takeout/:productCode",
    templateUrl: "templates/takeoutmoney.html",
    controller: 'TakeoutCtrl'
  })
  //购买
  .state('order', {
    url: "/order/:productCode",
    templateUrl: "templates/order.html",
    controller: 'OrderCtrl'
  })
  //订单确认
  .state('orderdetail', {
    url: "/orderdetail/:orderId",
    templateUrl: "templates/orderdetail.html",
    controller: 'OrderDetailCtrl'
  });
  $urlRouterProvider.otherwise('/main');
});
