define(function(require) {
    var apiUrl = require('../apiConfig');
    var skInfo = null;
    var step = 1;

    var Shop = Backbone.Collection.extend({
        sync: function() {
            jfpal.safeAjax('', datanum.shopList, function(data) {
                 if(localStorage.le==0){
                    localStorage.appUser=context.appuser;
                 }
                 else{
                    datanum.marketname=data.resultBean[0].shopName;
                    localStorage.appUser=data.resultBean[0].shopAppUser;
                    $("#settlement .one span").html(datanum.marketname);
                    var template=function(data){
                        localStorage.le=data.resultBean.length;
                        if(localStorage.le<=1){
                            localStorage.appUser=context.appuser;
                            $(".marketes").hide();
                            $(".sort_area").css("margin-top",'30px');
                        }
                        else {
                            //$(".market_icon").width(data.resultBean.length*88);
                        }
                        var temp=_.template($("#shopName").html(),{data:data.resultBean});
                        return temp;
                    };
                    var render=function(data){
                        $(".market_icon").html(template(data));
                    };
                    render(data);

                    var aa = $(".marketes a").first();
                    var i=0;

                    $(".marketes").find("a").removeClass("actived");
                    aa.addClass("actived");

                    datanum.marketname=aa.find(".strong").html();
                    $("#settlement .one span").html(datanum.marketname);
                    localStorage.appUser=aa.data('appuser');

                }
            }, function(error) {
               console.log("error");
            });
        }
    });


    var SkInfo = Backbone.Model.extend({
        url: apiUrl.addr + '?r=store.tinyshop.login',
        sync: function() {
            var self = this;
            $.ajax({
                url: this.url,
                type: 'post',
                data: {
                    mobile_no: context.user.mobileNo,
                    username: context.user.realName,
                    token: context.user.token
                },
                success: function(data, textStatus, jqXHR){
                    if (data.success) {
                        sessionStorage.tinyshop_id = data.tinyshop.id;
                        skInfo = data.tinyshop;
                        //findWeidianView.renderShop(data.tinyshop);
                        //findWeidianView.collection.fetch(); //回调成功后，获取商品列表
                   if (step == "6") {
                       app_router.navigate('!orders/1', {trigger: true});
                   }
                    } 
                    else {
                        $('#loading').fadeOut(200, function() {
                            alert(data.msg, function() {}, '提示', '确定');
                        });
                    }
                },
                error: function( jqXHR, textStatus, errorThrown ){
                    //self.sync();
                    $('#loading').fadeOut(200, function(e) {
                        alert('请检查当前网络', function() {}, '提示', '确定');
                    });
                }
            });
        }
    });

    //超市列表
    // var ShopL=Backbone.Collection.extend({
    //     console.log("ShopL");
    //     synb:function(){
    //         jfpal.safeAjax('',datanum.shopLis,function(data){
    //             console.log(data);

    //         },function(error){
    //             console.log("error");

    //         });
    //     }

    // });



       
    var FindWeidianView = Backbone.View.extend({
        el: '#findWeidian',
        shop: new Shop(),
        nIntervId: null,

        login: new SkInfo(),

        // 底部动画效果
        i: 1,
        initAnimation: function() {
            var self = this;
            clearInterval(self.nIntervId);
            self.nIntervId = setInterval(function() {
                self.i = (self.i > 2) ? 0 : self.i;
                $('.eff_area li').eq(self.i-1).fadeOut(0, function() {
                    $('.eff_area li').eq(self.i).fadeIn(1000);
                    self.i += 1;
                });
            }, 5000);
        },
       //
        tapAnimation:function(){
             $('.eff_area li').each(function(j){
                if(typeof(C.Jfpal.ads[j]) != "undefined"  && C.Jfpal.ads[j]!=''){
                    $(this).data("mobile_number", C.Jfpal.ads[j]);
                    $(this).tap(function(){
                        sessionStorage.k = $(this).data("mobile_number");
                        app_router.navigate('!enterWeidian/1', {trigger: true});
                    });
                }
            });
        },

        events: {
            //'input .menu_ele': 'is_show_ddb',
            'tap .sear': 'dataTransfer',
            'tap .sear2': 'getContactsInfo',
            'touchstart .sear': 'taped',
            'touchend .sear': 'notap',
            'touchstart .global_button': 'taped',
            'touchend .global_button': 'notap',
            'tap .img_b a':'marketname',
            'longTap .ddb li': 'deleteMe',
            'tap .ddb li': 'changeValue',
        },
       
       deleteMe: function(evt){
       
            var thetext=$(evt.currentTarget).text();
            var arr;
           
            if (localStorage.seek_record) {
             arr = JSON.parse(localStorage.seek_record);
               Array.prototype.indexOf = function(val) {
               for (var i = 0; i < this.length; i++) {
               if (this[i] == val) return i;
               }
               return -1;
               };
               Array.prototype.remove = function(val) {
               var index = this.indexOf(val);
               if (index > -1) {
               this.splice(index, 1);
               }
               };
               
               arr.remove(thetext);
               localStorage.seek_record = JSON.stringify(arr);
               //console.log(arr);
               this.init_ddb();
            }
           
       },

        getContactsInfo: function() {
            var self = this;
            window.plugins.ContactChooser.chooseContact(
                function(contactInfo) {
                    self.$('input.menu_ele').val(contactInfo.phoneNumber);
                    self.dataTransfer();
                }
            );
        },

        // 判断是否显示下拉联想列表
        init_ddb: function() {
           var arr;
                                               
            if (localStorage.seek_record) {
                var arr = JSON.parse(localStorage.seek_record);
            }
           if(arr && arr.length > 0){
                $('.ddb').empty();
                $.each(arr, function(index, value) {
                    $('.ddb').append('<li>' + value + '</li>');
                });
            }else{
                $('.ddb').empty().append('<div class="empty">暂无搜索历史</div>');
            }
        },

        marketname: function(e) {
            var aa = $(e.currentTarget);
            var i=0;
//            while(! (aa.is("div") && aa.hasClass('img_b'))) {
//                aa = aa.parent();
//                ++i;
//                if(i > 5) {
//                    //not found
//                    return;
//                }
//            }
            
            $(".marketes").find("a").removeClass("actived");
            aa.addClass("actived");
            //aa.find("strong").show();

            datanum.marketname=aa.find(".strong").html();
            $("#settlement .one span").html(datanum.marketname);
            localStorage.appUser=aa.data('appuser');
        },


        dataTransfer: function() {
            var reg = /^[0-9]+$/,
                fd_id = this.$('input.menu_ele').val();
            if (fd_id == '') {
                alert('请输入收款人手机号/福店ID', function() {}, '提示');
            } else if (!reg.test(fd_id)) {
                alert('输入格式有误，请检查', function() {}, '提示');
            } else {
                // sessionStorage.flagshipId = context.appuser;
                sessionStorage.k = fd_id;
                app_router.navigate('!enterWeidian/1', {trigger: true});
                // 存储用户搜索福店记录，用于输入框联想
                var ls_sr = localStorage.seek_record;
                if (!ls_sr) {
                    ls_sr = localStorage.seek_record = '[]';
                } else {
                    var j_ls_sr = JSON.parse(ls_sr);
                    for (i=j_ls_sr.length; i; i--) {
                        if (j_ls_sr[i-1] == fd_id) {
                            return;
                        }
                    }
                }

                var temp = JSON.parse(ls_sr);
                temp.push(fd_id);
                localStorage.seek_record = JSON.stringify(temp);
                this.init_ddb();
            }
        },

        changeValue: function(e) {
            this.$('.menu_ele').val($(e.target).text());
            //this.$('.ddb').hide();
            var aa = $(e.currentTarget);
            $(".ddb").find("li").removeClass("activeds");
            aa.addClass("activeds");
            this.dataTransfer();
        },

        taped: function(e) {
            var obj = $(e.target);
            obj.addClass('taped');
        },

        notap: function(e) {
            var obj = $(e.target);
            obj.removeClass('taped');
        }, 
    });

    var findWeidianView = new FindWeidianView();
    sessionStorage.flagshipId=localStorage.appUser;
     
    

    return {
        init: function(step_) {
            step = step_;
            if(step=="" || step == "6"){
                 findWeidianView.shop.fetch();
                 findWeidianView.login.fetch();
            }
            else {

            }
            //findWeidianView.initAnimation();
            //findWeidianView.tapAnimation();
            findWeidianView.init_ddb();
           
            require.async('../nav', function(nav) {
                nav.init(step);
            });
        }
    };
});
