/*!
 * Fudian
 * http://jfpal.com
 * Copyright (c) 2011 Addy Osmani
 * Dual licensed under the MIT and GPL licenses.
 *
 */
define(function(require, exports, module) {
    "use strict";
    //加载导航栏所依赖模块
    var AppRouter = require('./routers/router');
    var Homepage = require('./views/homepage');
    var Dian = require('./views/dian');
    var DianProduct = require('./views/dian.product');
    var DianCategory = require('./views/dian.category');
    var DianService = require('./views/dian.service');
    var SearchProduct = require('./views/search_product')
    var Settle = require('./views/settle');
    var SelectAddress = require('./views/address.select');
    var CreateAddress = require('./views/address.create');
    var OrderMy = require('./views/order.my');
    var OrderDetail = require('./views/order.detail');
    var LayoutView = require('./views/layout');
    var Config = require('./apiConfig');
    var utils = require('./utils');

    var App = Marionette.Application.extend({
      initialize: function(options) {
       // console.log('My container:', options.container);
      },
      router: null,
      start: function(){
        this.router = new AppRouter();
        utils.adjustPlatform();
        Backbone.history.start();
      },
      rootView: new LayoutView(),
      views:{
        'homepage': Homepage,
        'dian': Dian,
        'diancategory': DianCategory,
        'dianproduct': DianProduct,
        'searchproduct': SearchProduct,
        'dianservice': DianService,
        'settle': Settle,
        'selectaddress': SelectAddress,
        'createaddress': CreateAddress,
        'ordermy': OrderMy,
        'orderdetail': OrderDetail,
      },
      datanum: {
        marketname:"",
        shopList: {application: 'GetShopName'}
      }
    });

    module.exports = App;
});
