define(function(require, exports, module){
    var config = require('../apiConfig');

    var CategoryCollection = Backbone.Collection.extend({
        url: config.mediaUrl + "data/category.json",
        sync: function() {
            var self = this;
            $.ajax({
                url: this.url,
                type: 'get',
                data: {
                },
                success: function(data) {
                    self.reset(data);
                },
                error: function(e) {
                    self.trigger("error");
                }
            });
        }
    });

	module.exports = new CategoryCollection();
});
