define(function(require) {
    var curStep;
    var tempId;

    var PayResult = Backbone.Collection.extend({
        sync: function() {
            var self = this;
//            if(isDebug){
//                self.isFirstTime(0);
//            }
//            alert("111");
//            self.isFirstTime(0);
//            $.ajax({
//                    type:"POST",
//                    url:yqUrl,
//                    data:JSON.stringify(
//                        {method: 'queryGoodsDecsByGameid', clienttype: 'android', clientversion: 1.0, infversion:1.0,token:'token',gameid:window.dT.gameDetail.gameId}
//                    ),
//                    dataType:"json",
//                    success:function(data){
//                        self.isFirstTime(1,data);
//                    },
//                    error: function (xhr,type) {
//                        self.isFirstTime(0);
//                    }
//                }
//            );

        },

        isFirstTime: function(state, data) {
            var self = this;
            if (state == 0) {
                $.getJSON('../json/PayResult.json', function(data) {
                    self.fillData(data);
                });
            } else {
                self.fillData(data);
            }
        },

        // 本地数据库的相关操作
        fillData: function(data) {
            var self = this;
            self.reset(data.game_list);
            require.async('../nav', function(nav) {
                nav.init(curStep);
            });
            $('#loading').fadeOut(200);
        },



        // 数据请求失败后，改回原来的hash值
        goBackUrl: function() {
//            app_router.navigate('!indexCompany', {trigger: false});
        }
    });

    var PayResultView = Backbone.View.extend({
        el: '#payResult',

        collection: new PayResult(),

        initialize: function () {
            var self = this;
            this.collection.on('reset', function() {
                self.render(0);
            });
        },

        template: function(collection) {
            var temp = _.template($('#pay_result_tpl').html(), {collection: collection});
            return temp;
        },

        render: function(state, data) {
            if (state == 0) {
                $('#payResult').html(this.template(this.collection.toJSON()));
            } else {
                $('#payResult').html(this.template(data));
            }
        },

        events: {
            'tap ,#payResult .return_index_btn': 'returnIndex'
        },

        returnIndex: function(e){
            app_router.navigate('!indexGame/1', {trigger: true});

        }

    });


    var payResultView = new PayResultView();

    return {
        init: function(step) {
            // 初始化相关数据
            curStep = step;
//            tempId = com_id;
//            $('#gameDetail').html('');
            require.async('../nav', function(nav) {
                nav.init(curStep);
            });
//            $('#loading').fadeIn(200);
            payResultView.collection.fetch();
        }
    };
});