define(function(require) {
    var apiUrl = require('../apiConfig');
    var phonenum;
    var moneynum;
    var wishword;
    var state;
    var rephonenum;
    var messages;
    var Shop = Backbone.Collection.extend({
        sync: function() {
            jfpal.safeAjax('', datanum.shopList, function(data) {
                 if(localStorage.le==0){
                    localStorage.appUser=context.appuser;
                 }
                 else{
                    datanum.marketname=data.resultBean[0].shopName;
                    localStorage.appUser=data.resultBean[0].shopAppUser;
                    $("#settlement .one span").html(datanum.marketname);
                    var template=function(data){
                    localStorage.le=data.resultBean.length;
                    if(localStorage.le<=1){
                        localStorage.appUser=context.appuser;
                        $(".marketes").hide();
                        $(".sort_area").css("margin-top",'30px');
                    }
                    else {
                        $(".market_icon").width(data.resultBean.length*88);
                    }
                    var temp=_.template($("#shopName").html(),{data:data.resultBean});
                    return temp;
                };
                var render=function(data){
                    $(".market_icon").html(template(data));
                };
                render(data);
              }
            }, function(error) {
               console.log("error");
            });
        }
    });

       
    var HongbaoView = Backbone.View.extend({
        el: '#hongbao',

        events: {
            'input .menu_ele': 'is_show_ddb',
            'tap .sear': 'dataTransfer',
            'tap .ddb li': 'changeValue',
            'touchstart .sear': 'taped',
            'touchend .sear': 'notap',
            'touchstart .global_button': 'taped',
            'touchend .global_button': 'notap',
            'tap .marketes':'marketname',
            'tap .submitbtn':'submitform',
            'keyup #phonenum': 'phonenumkeyup',
            'keyup #rephonenum': 'rephonenumkeyup',
            'keyup .moneynum':'moneynum',
            'tap .phoneicon': 'getContactsInfo'
            //'blur #phonenum':'phonenumblur',
            //'blur #rephonenum':'rephonenumblur',
            //'blur .moneynum':'moneynumblur',
                              
        },
        getContactsInfo: function() {
            var self = this;
            window.plugins.ContactChooser.chooseContact(
                function(contactInfo) {
                    self.$('#phonenum').val(contactInfo.phoneNumber);
                    self.$('#rephonenum').val(contactInfo.phoneNumber);
                }
            );
        },
                                           
        phonenumkeyup: function(e){
        //console.log('ksy');
        $("#phonenum").keyup(function(){
            $(this).parent().find('span').hide('fast');
            $(this).parent().find('span').remove();
            $(this).val($(this).val().replace(/[^0-9.]/g,''));
            }).bind("paste",function(){  //CTR+V事件处理
            $(this).val($(this).val().replace(/[^0-9.]/g,''));
            }).css("ime-mode", "disabled"); //CSS设置输入法不可用

        },
        rephonenumkeyup: function(e){
            //console.log('ksy');
            $("#rephonenum").keyup(function(){
            $(this).parent().find('span').hide('fast');
            $(this).parent().find('span').remove();
            $(this).val($(this).val().replace(/[^0-9.]/g,''));
            }).bind("paste",function(){  //CTR+V事件处理
            $(this).val($(this).val().replace(/[^0-9.]/g,''));
            }).css("ime-mode", "disabled"); //CSS设置输入法不可用
                                           
                                           },
        moneynum:function(){
            $(".moneynum").keyup(function(){
            $(this).parent().find('span').hide('fast');
            $(this).parent().find('span').remove();
            $(this).val($(this).val().replace(/[^\d+(?=\.{0,1}\d)]/g,''));
            }).bind("paste",function(){  //CTR+V事件处理
            $(this).val($(this).val().replace(/[^\d+(?=\.{0,1}\d)]/g,''));
            }).css("ime-mode", "disabled"); //CSS设置输入法不可用
                                           },
        phonenumblur:function(){
            phonenum = $('#phonenum').val();
            if(phonenum==null||phonenum==''||!phonenum)
            {
                //$('#phonenum').attr('placeholder','手机号不能为空');
                //$('#phonenum').parent().append("<span>手机号码不能为空</span>").show('slow');
                messages='手机号码不能为空';
                this.messageson(messages);
                state=0;
                            
                }
           else if(!phonenum.match(/^(?:13\d|14\d|15\d|16\d|17\d|18\d)\d{5}(\d{3}|\*{3})$/))
            {
                //alert('手机号码格式不正确');
                $('#phonenum').parent().find('span').remove();
                //$('#phonenum').parent().append("<span>手机号码格式不正确</span>").show('slow');
                messages='手机号码格式不正确';
               this.messageson(messages);
                //$('#phonenum').attr('placeholder','手机号码格式不正确');
                //$('#phonenum').attr('value',null);
                state=0;
                            
            }
            console.log(phonenum);
                                           
        },
        rephonenumblur:function(){
            phonenum = $('#phonenum').val();
            rephonenum = $('#rephonenum').val();
            if(rephonenum==null||rephonenum==''||!rephonenum)
            {
                //$('#rephonenum').attr('placeholder','手机号码不能为空');
                //$('#rephonenum').parent().append("<span>手机号码不能为空</span>").show('slow');
                messages='再次输入手机号码不能为空';
                this.messageson(messages);
                state=0;
                                
            }
            else if(!rephonenum.match(/^(?:13\d|14\d|15\d|16\d|17\d|18\d)\d{5}(\d{3}|\*{3})$/))
            {
                //alert('手机号码格式不正确');
                //$('#rephonenum').parent().append("<span>手机号码格式不正确</span>").show('slow');
                messages='再次输入手机号码格式不正确';
               this.messageson(messages);

               // $('#rephonenum').attr('placeholder','手机号码格式不正确');
               // $('#rephonenum').attr('value',null);
                state=0;
            }
            else if(phonenum!=rephonenum)
            {
                //alert('号码不一致');
                //$('#rephonenum').parent().append("<span>号码不一致</span>");
                messages='号码不一致';
                this.messageson(messages);

                //$('#rephonenum').attr('value','号码不一致');
               // $('#rephonenum').attr('placeholder','号码不一致');
                state=0;
            }

                //console.log(rephonenum);
                                           
        },
        moneynumblur:function(){
            moneynum=$('.moneynum').val()*100;
            if(moneynum==null||moneynum==''||!moneynum)
            {
                //alert('还没有给红包呢 :)');
                //$('.moneynum').parent().append("<span>还没有给红包呢</span>").show('slow');
                messages='红包金额不能为空';
                this.messageson(messages);
                $('.moneynum').attr('placeholder','输入红包金额');
               // $('.moneynum').css('color','#c00');
                state=0;
                    }
                //console.log(moneynum);

        },
        messageson:function(messages){
                            $('.con #messages').html(messages);
                            $('.con #messages').animate({top:'7%',opacity:'0.6',easing: 'easeInOutQuad', },2000);
                            $('.con #messages').fadeIn('normal');
                           
                            
                            setTimeout(function(){
                                       $('.con #messages').fadeOut('fast');
                                       $('.con #messages').animate({top:'20%',opacity:'0'},2000);
                                                },3000);
                                
        },
        doPay: function(){
            jfpal.jfPay(
                               {
                                "merchantId": "0004000011",
                                "merchantName": '红包',
                                "productId": '0000000002',
                                "orderAmt": moneynum + "",
                                "orderDesc": phonenum,
                                "orderRemark": wishword
                               },
                               function(o){
                                context.quit();

                },function(){
                    
                });
        },
        submitform: function() {
                //alert('1234');
            var self=this;
            phonenum = $('#phonenum').val();
            rephonenum = $('#rephonenum').val();
            moneynum=$('.moneynum').val()*100;
            wishword=$('#wishword').val();
            state=1;
            this.moneynumblur();
            this.rephonenumblur();
            this.phonenumblur();
            if((moneynum/100)>10000)
            {
                messages='红包金额过大';
                this.messageson(messages);
                state=0;
                                           }
                                
            
            $("#phonenum").keyup(function(){
                $(this).parent().find('span').hide('fast');
                $(this).parent().find('span').remove();
                $(this).val($(this).val().replace(/[^0-9.]/g,''));
                }).bind("paste",function(){  //CTR+V事件处理
                $(this).val($(this).val().replace(/[^0-9.]/g,''));
            }).css("ime-mode", "disabled"); //CSS设置输入法不可用
            $("#rephonenum").keyup(function(){
                $(this).parent().find('span').hide('fast');
                $(this).parent().find('span').remove();
                $(this).val($(this).val().replace(/[^0-9.]/g,''));
                }).bind("paste",function(){  //CTR+V事件处理
                $(this).val($(this).val().replace(/[^0-9.]/g,''));
                }).css("ime-mode", "disabled"); //CSS设置输入法不可用
            $(".moneynum").keyup(function(){
                $(this).parent().find('span').hide('fast');
                $(this).parent().find('span').remove();
                $(this).val($(this).val().replace(/[^\d+(?=\.{0,1}\d)]/g,''));
                }).bind("paste",function(){  //CTR+V事件处理
                $(this).val($(this).val().replace(/[^\d+(?=\.{0,1}\d)]/g,''));
                }).css("ime-mode", "disabled"); //CSS设置输入法不可用
            
            //do validate
            if(state==0)
            {
                //alert('存在信息错误');
                return 0;    
            }
            else{
                //alert('提交ajax');
                //alert(phonenum+'/'+rephonenum+'/'+moneynum+'/'+wishword);

                jfpal.safeAjax("",
                    {"mobileNo": phonenum,"application":'UserInfoQuery'},
                    function(data)
                    {
                               //0000
                        console.log(data.result);
                        console.log(data.result.resultCode);
                        if(data.result.resultCode!='0000')/* not registed*/
                        {
                         navigator.notification.confirm("用户没注册，是否继续？", function(e){
                                                                                      if(e===2) {
                                                                                        console.log('yes');
                                                                                        self.doPay();
                                                                                      } else {
                                                                                        console.log('no');
                                                                                      }
                                                                                }, "提示", ["取消", "确认"]);
                        } else {
                            self.doPay();
                        }
                       
                    },
                    function(){

                    }
                );
            }
            
            //$.ajax();
            //
            //safeAjax();
            




        },                            
                                           
                                           
                                           

        // 判断是否显示下拉联想列表
        is_show_ddb: function() {
            if (localStorage.seek_record) {
                var arr = JSON.parse(localStorage.seek_record);
                if ($('.menu_ele').val() == '') {
                    $('.ddb').hide();
                    return;
                }
                $('.ddb').empty();
                var val = $('.menu_ele').val(),
                    sign = 0;
                $.each(arr, function(index, value) {
                    if (value.indexOf(val) == 0) {
                        sign =1;
                        $('.ddb').append('<li>' + value + '</li>');
                    }
                });
                if (sign == 1) {
                    $('.ddb').show();
                } else {
                    $('.ddb').hide();
                }
            }
        },

        marketname: function(e) {
            var aa = $(e.target);
            var i=0;
            while(! (aa.is("div") && aa.hasClass('img_b'))) {
                aa = aa.parent();
                ++i;
                if(i > 5) {
                    //not found
                    return;
                }
            }
            
            $(".marketes").find("strong").hide();
            aa.find("strong").show();
            datanum.marketname=aa.find("strong").html();
            $("#settlement .one span").html(datanum.marketname);
            localStorage.appUser=aa.data('appuser');
        },

        dataTransfer: function() {
            var reg = /^[0-9]+$/,
                fd_id = this.$('input.menu_ele').val();
            if (fd_id == '') {
                alert('请输入收款人手机号/福店ID', function() {}, '提示');
            } else if (!reg.test(fd_id)) {
                alert('输入格式有误，请检查', function() {}, '提示');
            } else {
                // sessionStorage.flagshipId = context.appuser;
                sessionStorage.k = fd_id;
                app_router.navigate('!enterWeidian/1', {trigger: true});
                // 存储用户搜索福店记录，用于输入框联想
                var ls_sr = localStorage.seek_record;
                if (!ls_sr) {
                    ls_sr = localStorage.seek_record = '[]';
                } else {
                    var j_ls_sr = JSON.parse(ls_sr);
                    for (i=j_ls_sr.length; i; i--) {
                        if (j_ls_sr[i-1] == fd_id) {
                            return;
                        }
                    }
                }

                var temp = JSON.parse(ls_sr);
                temp.push(fd_id);
                localStorage.seek_record = JSON.stringify(temp);
            }
        },

        changeValue: function(e) {
            this.$('.menu_ele').val($(e.target).text());
            this.$('.ddb').hide();
            this.dataTransfer();
        },

        taped: function(e) {
            var obj = $(e.target);
            obj.addClass('taped');
        },

        notap: function(e) {
            var obj = $(e.target);
            obj.removeClass('taped');
        }, 
    });

    var hongbao = new HongbaoView();

    return {
        init: function(step) {
            require.async('../nav', function(nav) {
                nav.init(step);
            });
        }
    };
});