//backbone router模块定义
define(function(require, exports, module) {
       //加载导航栏所依赖模块
       require('./config');
       require('./jfpal-config');
       
       (function() {
        
        if (device.platform == 'Android') {
        $('nav, #content, .top-bar, #writeorder').addClass('android');
        $('#loading').height($(window).height() - 46); // 设置此页等待层的高度
        window.pFlag = 'android'; // 平台标志位
        } else if (device.platform == 'iOS') {
        $('.leftButton').removeClass('hide');
        if (device.version < "7.0") {
        $('nav, #content, .top-bar, #writeorder').addClass('notIOS7');
        $('#loading').height($(window).height() - 46); // 设置此页等待层的高度
        } else {
        $('#loading').height($(window).height() - 66); // 设置此页等待层的高度
        }
        window.pFlag = 'ios'; // 平台标志位
        }
        
        // 弹出等待层时，禁止滚动
        $(window).on('touchmove', function(e) {
                     if ($('#loading').css('display') == 'block') {
                     e.preventDefault();
                     }
                     });
        
        // 替换web的弹框为本地弹框
        window.alert = navigator.notification.alert;
        window.confirm = navigator.notification.confirm;
        // 创建全局对象dT,方便在各个view之间传递数据
        window.dT = {
        // 首页传到违章查询页参数
        queryPeccancy: {
        application: 'SelectPeccancy',
        mobileNo: context.user.mobileNo,
        cityName:'广州市',
        shopSign:'粤BA2898',  //车牌号码
        voitureType: '1',   //车辆类型
        voitureNo: '044667',   //车架号
        engineNo: 'A62252',    //发动机号
        channelPoint:'',//渠道标识
        deviceNumber:'',//设备号
        entranceType:''//入口
        },
        // 查询页到违章详情页参数
        peccancyDetail: {
        detail:''//违章详情
        },
        // 车辆信息参数
        carDetail: {
        detail:''//违章详情
        }
        };
        
        })();
       
       _.loadFileTemplate=function(templateName,forceFlush){
       var template;
       $.ajax({
              async:false,
              dataType:'text',
              url:"./js/modules/"+templateName+".html",
              success:function(txt){
              template = _.template(txt);
              },error:function(){
              alert('模版加载错误');
              }
              });
       return template;
       };
       
       //App Router控制器
       var AppRouter = Backbone.Router.extend({
                                              routes: {
                                              '': 'index',
                                              '!index/:step': 'index',
                                              '!myorders/:step': 'myOrders',
                                              '!orderdetail/:step/:orderid': 'orderDetail',
                                              '!addcar/:step': 'addCar',
                                              '!modifycar/:step': 'modifyCar',
                                              '!queryillegal/:step': 'queryillegal',
                                              '!illegaldetail/:step': 'illegaldetail',
                                              '!writeorder/:step': 'writeorder',
                                              '!selectcarcity/:step': 'selectcarcity',
                                              '!selectpostcity': 'selectpostcity'
                                              },
                                              
                                              index: function(step) {
                                              var step = step || '';
                                              require.async('./modules/mycars', function(mycars) {
                                                            mycars.init(step);
                                                            });
                                              },
                                              myOrders: function(step) {
                                              require.async('./modules/myorders', function(myorders) {
                                                            myorders.init(step);
                                                            });
                                              },
                                              orderDetail: function(step, orderid) {
                                              require.async('./modules/orderdetail', function(orderdetail) {
                                                            orderdetail.init(step, orderid);
                                                            });
                                              },
                                              addCar: function(step) {
                                              require.async('./modules/addcar', function(addcar) {
                                                            addcar.init(step);
                                                            });
                                              },
                                              modifyCar: function(step) {
                                              require.async('./modules/modifycar', function(modifycar) {
                                                            modifycar.init(step);
                                                            });
                                              },
                                              queryillegal: function(step) {
                                              require.async('./modules/queryillegal', function(queryillegal) {
                                                            queryillegal.init(step);
                                                            });
                                              },
                                              illegaldetail: function(step) {
                                              require.async('./modules/illegaldetail', function(illegaldetail) {
                                                            illegaldetail.init(step);
                                                            });
                                              },
                                              writeorder: function(step) {
                                              require.async('./modules/writeorder', function(writeorder) {
                                                            writeorder.init(step);
                                                            });
                                              },
                                              selectcarcity: function(step) {
                                              require.async('./modules/selectcarcity', function(selectcarcity) {
                                                            selectcarcity.init(step);
                                                            });
                                              },
                                              selectpostcity: function() {
                                              require.async('./modules/selectpostcity', function(selectpostcity) {
                                                            selectpostcity.init();
                                                            });
                                              }
                                              });
       
       window['app_router'] = new AppRouter;
       Backbone.history.start();
       });