/**
 * 订单详情模块
 */
define(function(require, exports, module) {
       
       var curStep; // 哪个页面跳转到此页面的标志位
       var orderId;
       
       var OrderModel = Backbone.Model.extend({
                                              postData: null,
                                              sync: function() {
 
//                                              var self = this;
//                                              
//                                              var data={
//                                              AddTime:'2014-12-19 12:00:00',
//                                              CommissionCharge:'255',
//                                              EvaluateStatus:'待支付',
//                                              FactTotalCharge:'255',
//                                              LateFee:'0',
//                                              NeedPayCharge:'0',
//                                              NewOrderStatus:'待支付',
//                                              OrderSN:'1',
//                                              PayModelName:'待支付',
//                                              PayStatus:'1',
//                                              Point:'1',
//                                              Postage:'1',
//                                              ReviewContent:'1',
//                                              ShopSign:'苏A12345',
//                                              StatusID:'1',
//                                              StatusName:'待支付',
//                                              TotalCharge:'255',
//                                              VoitureID:'1'
//                                              };
//                                              
//                                              $('#loading').fadeOut(200, function() {
//                                                                    self.set(data);
//                                                                    require.async('../nav', function(nav) {
//                                                                                  nav.init(curStep);
//                                                                                  });
//                                                                    });
                                              
                                              this.initPostDate(); // 初始化请求参数
                                              var self = this;
                                              
                                              jfpal.safeAjax('', this.postData, function(data) {
                                                             if (!data.resultBean) {
                                                             
                                                             $('#loading').fadeOut(200, function() {
                                                                                   alert('无订单记录', function() {}, '提示', '确定');
                                                                                   self.goBackUrl();
                                                                                   });
                                                             } else {
                                                             
                                                             var data;
                                                             
                                                             $.each(data.resultBean, function(index, value) {
                                                                    data = value;
                                                                    });
                                                             
                                                             $('#loading').fadeOut(200, function() {
                                                                                   self.set(data);
                                                                                   require.async('../nav', function(nav) {
                                                                                                 nav.init(curStep);
                                                                                                 });
                                                                                   });
                                                             }
                                                             }, function(error) {
                                                             
                                                             $('#loading').fadeOut(200, function() {
                                                                                   alert(error.respDesc, function() {}, '提示', '确定');
                                                                                   self.goBackUrl();
                                                                                   });
                                                             });
                                              },
                                              // 初始化safeAjax的数据
                                              initPostDate: function() {
                                              
                                              this.postData = {
                                              application: 'GetPeccancyOrderInfo',
                                              mobileNo: context.user.mobileNo,
                                              orderSN: orderId,
                                              deviceNumber: '',
                                              entranceType: ''
                                              };
                                              
                                              },
                                              // 数据请求失败后，改回原来的hash值
                                              goBackUrl: function() {
                                              
                                              if(curStep == 1){//从我的订单过来的
                                              app_router.navigate('!myorders/2', {trigger: true});
                                              }else if(curStep == 2){//从保存订单过来的
                                              app_router.navigate('!queryillegal/3', {trigger: true});
                                              }
                                              }
                                              });
       
       var OrderDetailView = Backbone.View.extend({
                                                  el: '#orderdetail',
                                                  model: new OrderModel(),
                                                  template : _.loadFileTemplate("orderdetail"),
                                                  events : {
                                                  "click #cancelpay":"cancelpay",
                                                  "click #pay":"pay",
                                                  "touchstart #cancelpay": "taped",
                                                  "touchend #cancelpay": "notap",
                                                  "touchstart #pay": "taped",
                                                  "touchend #pay": "notap"
                                                  },
                                                  initialize: function() {
                                                  var self = this;
                                                  this.model.on('change', function() {
                                                                self.render();
                                                                });
                                                  },
                                                  
                                                  render: function() {
                                                  this.$el.html(this.template({data:this.model.toJSON(),orderid:orderId}));
                                                  },
                                                  
                                                  pay: function() {
                                                  
                                                  jfpal.jfPay({
                                                              "merchantId": "0004000012",
                                                              "merchantName": '交通罚款',
                                                              "productId": '0000000000',
                                                              "orderAmt": (this.model.get("OrderTotalCharge") * 100).toFixed(0) + '',
                                                              "orderDesc": orderId,
                                                              "orderRemark": ""
                                                              }, function(data) {
                                                              console.log(data);
                                                              
                                                              $('#loading').fadeOut(200, function() {
                                                                                    
                                                                                    if(curStep == 1){//从我的订单过来的
                                                                                    app_router.navigate('!myorders/1', {trigger: true});
                                                                                    }else if(curStep == 2){//从保存订单过来的
                                                                                    app_router.navigate('!queryillegal/3', {trigger: true});
                                                                                    }
                                                                                    
                                                                                    alert('支付成功', function() {}, '提示', '确定');
                                                                                    
                                                                                    });
                                                              
                                                              
                                                              }, function(error) {
                                                              console.log(error);
                                                              
                                                              $('#loading').fadeOut(200, function() {
                                                                                    alert(error.respDesc, function() {}, '提示', '确定');
                                                                                    });
                                                              
                                                              });

                                                  },
       
                                                  cancelpay: function() {
                                                  
                                                  $('#loading').fadeIn(200);
                                                  
                                                  var cancelData = {
                                                  application: 'CancelOrder',
                                                  mobileNo: context.user.mobileNo,
                                                  orderSN: orderId,
                                                  deviceNumber: '',
                                                  entranceType: ''
                                                  };
       
                                                  jfpal.safeAjax('', cancelData, function(data) {
                                                                 
                                                                 $('#loading').fadeOut(200, function() {
                                                                 
                                                                                       if(curStep == 1){//从我的订单过来的
                                                                                       app_router.navigate('!myorders/1', {trigger: true});
                                                                                       }else if(curStep == 2){//从保存订单过来的
                                                                                       app_router.navigate('!queryillegal/3', {trigger: true});
                                                                                       }

                                                                                       });
                                                  
                                                                 
                                                               
                                                                 }, function(error) {
                                                                
                                                                 $('#loading').fadeOut(200, function() {
                                                                                       alert(error.respDesc, function() {}, '提示', '确定');
                                                                                       });
                                                                 });
                                                  
                                                  
                                                  },
       
                                                  taped: function(e) {
                                                  var obj = $(e.target);
                                                  obj.removeClass('am-active').addClass('am-disabled');
                                                  },
                                                  
                                                  notap: function(e) {
                                                  var obj = $(e.target);
                                                  obj.removeClass('am-disabled').addClass('am-active');
                                                  }
                                                  
                                                  });
       
       var orderDetailView = new OrderDetailView();
       
       return {
       init: function(step, orderid) {
       
       $('#loading').fadeIn(200);
       
       curStep = step; // 初始化相关数据
       orderId = orderid;
       
       orderDetailView.model.fetch();
       
       }
       };
       
       });