angular.module('controllers')
.controller('OrderCtrl', function($scope, $ionicModal,toaster, $state, $ionicHistory, validation,$stateParams,$r,$cache,$sce) {
//  console.log($stateParams.productCode);
	$scope.form={};
  $scope.form.submits=true;
  $scope.form.agree=true;
  $scope.form.count=1;
	//rules
 	$ionicModal.fromTemplateUrl('templates/showrules.html', {
    scope: $scope
  }).then(function(modal) {
    $scope.showrules = modal;
  });
	//rules
	$scope.showrulesview=function(){
	  $scope.showrules.show();
	};
	$scope.closerules = function() {
      $scope.showrules.hide();
	};
  //product
  var load=function(){
    var financialBuy=[{
      'productCode':$stateParams.productCode
    }];
    $r("jym_financialBuy", financialBuy ).then(function(data){
       console.log(data);
        if(data.respHead.code=="0000"){
            //$scope.form.msg=data.respBean;
            $scope.form.product=data.respBean.data[0];
            $scope.targetUrl = $sce.trustAsResourceUrl($scope.form.product.yiledTakeOutRule)
            $scope.form.money=$scope.form.product.unitPrice*$scope.form.count;
          }else{
            var msg=data.respHead.message;   
            return  toaster.pop('warning', null, '<ul><li>'+  msg + '</li></ul>', null, 'trustedHtml'); 
          }
      },function(err){
          console.log(err);
      }); 
  };
  $scope.$on('$ionicView.enter', function() {
      load();
  });
  $scope.change=function(){
    $scope.form.money=$scope.form.product.unitPrice*$scope.form.count;
  };
  //create order
  $scope.create_order=function(){
     var msg;
//     console.log($scope.form.money<=$scope.form.account.balance);
     console.log($scope.form);
     if(validation.isnull($scope.form.money)){
        if(validation.money($scope.form.money)){
           if($scope.form.money>=1){
             if(validation.isnull($scope.form.count)){
               if(validation.number($scope.form.count)){
                 if($scope.form.money<=$scope.form.product.balance)
                 {
                    if($scope.form.agree==true){
                    var createOrder=[{
                      'productCode':$stateParams.productCode,
                      'amountProduct':$scope.form.money,
                      'unitPrice':$scope.form.product.unitPrice,
                      'investQuantity':$scope.form.count,
                      'payType':'02',
                    }];
                    $r("jym_createOrder", createOrder).then(function(data){
                     console.log(data);
                      if(data.respHead.code=="0000"){
                          $state.go('orderdetail',{orderId:data.respBean.data[0].orderId});   
                        }else{
                          var msg=data.respHead.message;   
                          return  toaster.pop('warning', null, '<ul><li>'+  msg + '</li></ul>', null, 'trustedHtml'); 
                        }
                    },function(err){
                        console.log(err);
                    });
                                   
                  }else{
                      msg = "未同意服务协议";
                  };  
                 }else{
                   msg = "可用余额不足";
                 }
               }else{
                    msg = "请填写正确的购买份数";
               }
             }else{
                msg = "购买份数不能为空";
             }
             
           }else{
                  msg = "请输入合法金额";
           }
        }else{
                  msg = "请填写正确的购买金额";
        }
      }else{
               msg = "购买金额不能为空";
      }
      if(msg){
          return  toaster.pop('warning', null, '<ul><li>'+  msg + '</li></ul>', null, 'trustedHtml');
      }
      
  };
  
})
.controller('OrderDetailCtrl', function($scope, $ionicModal,toaster, $state, $ionicHistory, $stateParams,$r, validation,$cache,$jf) {
  console.log($stateParams.orderId);
  $scope.form={};
  $scope.form.submits=true;
  $scope.form.sendmsgs=true;
  var load=function(){
    var orderDetail=[{
      'orderId':$stateParams.orderId
    }];
    $r("orderDetail", orderDetail ).then(function(data){
       console.log(data);
        if(data.respHead.code=="0000"){
            //$scope.form.msg=data.respBean;
            $scope.form.orderDetail=data.respBean.data[0];
          }else{
            var msg=data.respHead.message;   
            return  toaster.pop('warning', null, '<ul><li>'+  msg + '</li></ul>', null, 'trustedHtml'); 
          }
      },function(err){
          console.log(err);
      });
  };
  $scope.$on('$ionicView.enter', function() {
    load();
  });
  $scope.sendmsg=function(){
    if($scope.form.sendmsgs==true){
        $scope.form.sendmsgs=false;
        var timer=40;
        var myTime = setInterval(function() 
          { 
            timer--;
            $scope.form.countdown='等待'+timer+ 's';
            $scope.$digest(); // 通知视图模型的变化
          }, 1000); // 倒计时10-0秒，但算上0的话就是11s ]

         setTimeout(function() { 
          clearInterval(myTime);
           $scope.form.countdown="重新发送"; 
           $scope.form.sendmsgs=true;
           $scope.$digest(); 
        }, 41000);

         $scope.form.bizType='2000';
        var getValidateNo=[{
                      'bizType': $scope.form.bizType,
                     }];
        $r("getValidateNo", getValidateNo ).then(function(data){
           console.log(data);
            if(data.respHead.code=="0000"){
                //$scope.form.msg=data.respBean;
                var msg="验证码发送成功,请注意查收";   
                return  toaster.pop('warning', null, '<ul><li>'+  msg + '</li></ul>', null, 'trustedHtml'); 
              }else{
                var msg=data.respHead.message;   
                return  toaster.pop('warning', null, '<ul><li>'+  msg + '</li></ul>', null, 'trustedHtml'); 
              }
          },function(err){
              console.log(err);
          }); 
        
    }else{
                var msg="验证码已发送";   
                return  toaster.pop('warning', null, '<ul><li>'+  msg + '</li></ul>', null, 'trustedHtml'); 
    }
    
   };
  $scope.checkmsg=function(obg){
    console.log(obg);
     var msg;
      if(validation.isnull(obg.msg))
      {
          if(validation.isnull(obg.password))
          {
                $scope.form.submits=false;
                $jf.getTokenData().then(function(tokenData){
                  $jf.encodeWithRSA(tokenData.phone, obg.password).then(function(encodedPassword){
                //todo withdraw
                  var order_pay=[{
                    "orderId":obg.orderDetail.orderId,
                    "password":encodedPassword,
                    "checkCode":obg.msg,
                    "bizType":"2000",
                    "amountTotal":obg.orderDetail.amountTotal,
  //                  "payType":"02",
                    "productCode":obg.orderDetail.productCode,
                    "investQuantity":obg.orderDetail.investQuantity
                  }];
                  $r("jym_payOrder", order_pay).then(function(data){
                          console.log(data);
                          var msg;
                          msg=data.respHead.message;
                          if(data.respHead.code==="0000"){
                                    $scope.form.submits=true;
                                    $ionicHistory.goBack();
                                    msg="购买成功";
                                    return  toaster.pop('warning', null, '<ul><li>'+  msg + '</li></ul>', null, 'trustedHtml');
                          }else{
                            $scope.form.submits=true;
                            return  toaster.pop('warning', null, '<ul><li>'+  msg + '</li></ul>', null, 'trustedHtml');
                          };
                      console.log(data);
                   },function(err){
                        $scope.form.submits=true;
                        console.log(err);
                        var msg=err.respHead.message;   
                              return  toaster.pop('warning', null, '<ul><li>'+  msg + '</li></ul>', null, 'trustedHtml'); 
                  }); 
                  
                  });
                });
            //$scope.modal.hide();
          }else{
             msg = "登录密码不能为空";
             return  toaster.pop('warning', null, '<ul><li>'+  msg + '</li></ul>', null, 'trustedHtml');
          }
      }else{
        msg = "验证码不能为空";
        return  toaster.pop('warning', null, '<ul><li>'+  msg + '</li></ul>', null, 'trustedHtml');
      }
  };
});