(function (ng) {
ng.module('ngCordova.plugins.jfservice', ['ng'])
  .factory('$jf', ['$q', '$window', function ($q, $window) {
    return {
      getEnv: function(config){
        var q = $q.defer();
        $window.jfservice.getEnv(config,function (resp) {
          q.resolve(resp);
        }, function (error) {
          q.reject(error);
        });
                 // mock
        // var  resp = {
        //     "osType": "android4.1.1",
        //     "transDate": "20150423",
        //     "transLog": "000001",
        //     "transTime": "052206",
        //     "version": "1.0.0"
        // };
        // q.resolve(resp);
        return q.promise;
      },
      encodeWithRSA: function(account, password){
        var q = $q.defer();
        $window.jfservice.RSAEncode({account: account, password: password}, function(resp){
          q.resolve(resp);
        }, function (error) {
          q.reject(error);
        });
        // q.resolve("encodewithrsa");
        return q.promise;
      },
      digestWithMD5: function(plaintext){
        var q = $q.defer();
        $window.jfservice.MD5Encode(plaintext, function(resp){
          q.resolve(resp);
        }, function (error) {
          q.reject(error);
        });
        // q.resolve("digestWithMD5");
        return q.promise;
      },
      getTokenData: function(data){
        var q = $q.defer();
        $window.jfservice.getTokenData(data, function(resp){
          q.resolve(resp);
        }, function (error) {
          q.reject(error);
        });
        // var resp = {
        //  "mobileSerialNum":  "ec2e7ffd7078afa98a4b099699a186c000000000",
        //  "clientType":       "04",
        //  "phone":            "13816443721",//15121074003 13816443721
        //  "appUser":          "jfpal",
        //  "token":            "0000",
        //  "jfpalVersion":     "3.3.1"
        // };
        // q.resolve("digestWithMD5");
        return q.promise;
      }
  };
}]);
}(angular));
