cordova.define("com.jfpal.cordova.safepay.safepay", function(require, exports, module) { /*
 *
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 *
*/

var argscheck = require('cordova/argscheck'),
    channel = require('cordova/channel'),
    utils = require('cordova/utils'),
    exec = require('cordova/exec'),
    cordova = require('cordova');

/**
 * Provides access to notifications on the device.
 */

module.exports = {
     jfPay: function(data, success, fail) {
        var paraArr = new Array();
        paraArr.push(data);
        var exec = cordova.require('cordova/exec');
        exec(success, fail, "Safepay", "doPay", paraArr);
    },
    tradePay: function(data, success, fail) {
        var paraArr = new Array();
        paraArr.push(data);
        var exec = cordova.require('cordova/exec');
        exec(success, fail, "Safepay", "doService", paraArr);
    },
};


});
